osgVolume::PropertyVisitor Class Reference

`#include <Property>`

Inheritance diagram for osgVolume::PropertyVisitor:

## Public Member Functions

| PropertyVisitor (bool traverseOnlyActiveChildren=true)
virtual | ~PropertyVisitor ()
virtual void | apply (Property &)
virtual void | apply (CompositeProperty &)
virtual void | apply (SwitchProperty &)
virtual void | apply (TransferFunctionProperty &)
virtual void | apply (ScalarProperty &)
virtual void | apply (IsoSurfaceProperty &)
virtual void | apply (AlphaFuncProperty &)
virtual void | apply (MaximumIntensityProjectionProperty &)
virtual void | apply (LightingProperty &)
virtual void | apply (SampleRatioProperty &)
virtual void | apply (SampleRatioWhenMovingProperty &)
virtual void | apply (SampleDensityProperty &)
virtual void | apply (SampleDensityWhenMovingProperty &)
virtual void | apply (TransparencyProperty &)
virtual void | apply (ExteriorTransparencyFactorProperty &)
virtual void | apply (VolumeSettings &)

## Public Attributes

bool | _traverseOnlyActiveChildren

## Constructor & Destructor Documentation

## PropertyVisitor()

osgVolume::PropertyVisitor::PropertyVisitor | ( | bool | traverseOnlyActiveChildren = true | ) |

## ~PropertyVisitor()

virtual osgVolume::PropertyVisitor::~PropertyVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/16]

virtual void osgVolume::PropertyVisitor::apply | ( | AlphaFuncProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [2/16]

virtual void osgVolume::PropertyVisitor::apply | ( | CompositeProperty & |  | ) |

virtual

## apply() [3/16]

virtual void osgVolume::PropertyVisitor::apply | ( | ExteriorTransparencyFactorProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [4/16]

virtual void osgVolume::PropertyVisitor::apply | ( | IsoSurfaceProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [5/16]

virtual void osgVolume::PropertyVisitor::apply | ( | LightingProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [6/16]

virtual void osgVolume::PropertyVisitor::apply | ( | MaximumIntensityProjectionProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [7/16]

virtual void osgVolume::PropertyVisitor::apply | ( | Property & |  | ) |

virtual

Referenced by osgVolume::AlphaFuncProperty::accept(), osgVolume::CompositeProperty::accept(), osgVolume::ExteriorTransparencyFactorProperty::accept(), osgVolume::IsoSurfaceProperty::accept(), osgVolume::LightingProperty::accept(), osgVolume::MaximumIntensityProjectionProperty::accept(), osgVolume::Property::accept(), osgVolume::SampleDensityProperty::accept(), osgVolume::SampleDensityWhenMovingProperty::accept(), osgVolume::SampleRatioProperty::accept(), osgVolume::SampleRatioWhenMovingProperty::accept(), osgVolume::ScalarProperty::accept(), osgVolume::SwitchProperty::accept(), osgVolume::TransferFunctionProperty::accept(), and osgVolume::TransparencyProperty::accept().

## apply() [8/16]

virtual void osgVolume::PropertyVisitor::apply | ( | SampleDensityProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [9/16]

virtual void osgVolume::PropertyVisitor::apply | ( | SampleDensityWhenMovingProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [10/16]

virtual void osgVolume::PropertyVisitor::apply | ( | SampleRatioProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [11/16]

virtual void osgVolume::PropertyVisitor::apply | ( | SampleRatioWhenMovingProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [12/16]

virtual void osgVolume::PropertyVisitor::apply | ( | ScalarProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [13/16]

virtual void osgVolume::PropertyVisitor::apply | ( | SwitchProperty & |  | ) |

virtual

## apply() [14/16]

virtual void osgVolume::PropertyVisitor::apply | ( | TransferFunctionProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [15/16]

virtual void osgVolume::PropertyVisitor::apply | ( | TransparencyProperty & |  | ) |

virtual

Reimplemented in osgVolume::CollectPropertiesVisitor.

## apply() [16/16]

virtual void osgVolume::PropertyVisitor::apply | ( | VolumeSettings & |  | ) |

virtual

## Member Data Documentation

## _traverseOnlyActiveChildren

bool osgVolume::PropertyVisitor::_traverseOnlyActiveChildren

Referenced by osgVolume::SwitchProperty::traverse().

The documentation for this class was generated from the following file:

- Property